VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig:

## Avaliable Methods
public method | get_raw_secret ()
public method | set_raw_secret ()
public method | set_auth_hash ()
public method | get_priv_hash ()
public method | get_auth_hash ()
public method | new ()
public method | set_priv_hash ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig` class Structure to provide up to two secrets to combine with the SNMPv3 engine ID and authentication or privacy protocol to form a localized hash. auth_hash is always required, priv_hash can be empty. By default arguments are paths on the local filesystem, raw_secret takes path to be the actual raw secret. First implementation was in ESXi: esxcli system snmp hash –help

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig::get_auth_hash | ( |  | ) |

Gets the value of 'auth_hash' property.

Return values

  auth_hash | - The current value of the field. Provide filename to secret for authentication hash, use in set –users (required secret) String#

Code:
click to view
# Number of lines of code in get_auth_hash: 4
sub get_auth_hash {
my ($self, %args) = @_;
return $self->{'auth_hash'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig::get_priv_hash | ( |  | ) |

Gets the value of 'priv_hash' property.

Return values

  priv_hash | - The current value of the field. Provide filename to secret for privacy hash, use in set –users (secret) String#

Code:
click to view
# Number of lines of code in get_priv_hash: 4
sub get_priv_hash {
my ($self, %args) = @_;
return $self->{'priv_hash'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig::get_raw_secret | ( |  | ) |

Gets the value of 'raw_secret' property.

Return values

  raw_secret | - The current value of the field. Make –auth_path and –priv_path flags read raw secret from command line instead of file. boolean#

Code:
click to view
# Number of lines of code in get_raw_secret: 4
sub get_raw_secret {
my ($self, %args) = @_;
return $self->{'raw_secret'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{auth_hash} = $args{'auth_hash'};
$self->{priv_hash} = $args{'priv_hash'};
$self->{raw_secret} = $args{'raw_secret'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.monitoring.snmp.SNMP_hash_config');
$self->set_binding_field('key' => 'auth_hash', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'priv_hash', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'raw_secret', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig::set_auth_hash | ( |  | ) |

Sets the given value for 'auth_hash' property.

Parameters

  auth_hash | - New value for the field. Provide filename to secret for authentication hash, use in set –users (required secret)

Code:
click to view
# Number of lines of code in set_auth_hash: 5
sub set_auth_hash {
my ($self, %args) = @_;
$self->{'auth_hash'} = $args{'auth_hash'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig::set_priv_hash | ( |  | ) |

Sets the given value for 'priv_hash' property.

Parameters

  priv_hash | - New value for the field. Provide filename to secret for privacy hash, use in set –users (secret)

Code:
click to view
# Number of lines of code in set_priv_hash: 5
sub set_priv_hash {
my ($self, %args) = @_;
$self->{'priv_hash'} = $args{'priv_hash'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig::set_raw_secret | ( |  | ) |

Sets the given value for 'raw_secret' property.

Parameters

  raw_secret | - New value for the field. Make –auth_path and –priv_path flags read raw secret from command line instead of file.

Code:
click to view
# Number of lines of code in set_raw_secret: 5
sub set_raw_secret {
my ($self, %args) = @_;
$self->{'raw_secret'} = $args{'raw_secret'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Monitoring/Snmp.pm